Get Org Extended Fields

Retrieves the details of all extended fields configured for the organization. You can see the extended fields for each category.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

You can view the list of extended fields enabled for an organization.

👍

For detailed information about our APIs and for hands-on testing, refer documentation in API overview and step-by-step guide on making your first API call in Make your first API call .

Prerequisites

  • Authentication: Basic or OAuth authentication
  • Default access group

Resource information

URIv2/extendedFields
HTTP methodGET
Pagination supportedNo
Rate limitNA
Batch supportNo

Example request

curl -L 'https://eu.api.capillarytech.com/v2/extendedFields' \
-H 'Authorization: Basic ZmM2YjZlY2I2MmEy'

Response parameters

FieldTypeDescription
entityobjectThe extended fields grouped by entity type.
.idintegerUnique identifier of the extended field.
.namestringName of the field or attribute.
.createdByintegerUser ID who created the extended field. Value of -1 indicates system-created.
.createdOnstringDate when the extended field was created, in YYYY-MM-DD format. Deprecated — use createdOnISO instead.
.createdOnISOstringDate and time when the extended field was created in ISO 8601 format (YYYY-MM-DDTHH:MM:SSZ), returned in the server time zone.
.modifiedByintegerUser ID who last modified the extended field. Value of -1 indicates system-modified.
.modifiedOnstringDate when the extended field was last modified, in YYYY-MM-DD format. Deprecated — use modifiedOnISO instead.
.modifiedOnISOstringDate and time when the extended field was last modified in ISO 8601 format (YYYY-MM-DDTHH:MM:SSZ), returned in the server time zone.
.labelstringDisplay label for the extended field (for example, Gender).
.baseEntityTypestringThe entity type the extended field belongs to. Possible values: customer, transaction, lineitem, profile, lead, company, card, usergroup2.
.dataTypestringData type of the extended field. Possible values: INTEGER, STRING, DOUBLE, DATETIME, STANDARD_STRING, STANDARD_ENUM, CUSTOM_ENUM, ASSOCIATE_USER, COUNTRY, CURRENCY, LANGUAGE, ORG_ENTITY, DATE, CARD, STRING_SET, LIST.
.verticalIdintegerVertical/industry ID this extended field belongs to. Default value is -1 (applies to all verticals).
.parentIdintegerParent extended field ID if this field is a child field. Default value is -1 (no parent).
.possibleValuesarrayList of possible values for enum-type and LIST-type extended fields. For LIST fields, this returns the allowed values configured in the field's metadata.
.metadataobjectMetadata for the extended field. Returned for LIST type fields only; null for all other data types.
..elementTypestringThe data type for each element in the list. Possible values: TEXT, INTEGER, DECIMAL.
..allowedValuesarrayThe allowed values for this list field. When set, only values in this list are accepted. Returns null if no constraint is configured.
..minItemsintegerMinimum number of items required in the list. Returns null if no minimum is configured.
..maxItemsintegerMaximum number of items allowed in the list. Returns null if no maximum is configured.
warningsarrayList of warnings associated with the response.
errorsarrayList of errors associated with the response.
successbooleanIndicates if the operation was successful.

Example response

{
    "entity": {
        "card": [
            {
                "id": 513,
                "name": "custom_card_name",
                "createdBy": 0,
                "createdOn": "2021-07-02",
                "createdOnISO": "2021-07-02T06:27:27Z",
                "modifiedBy": 0,
                "modifiedOn": "2021-07-02",
                "modifiedOnISO": "2021-07-02T06:27:27Z",
                "label": "Custom Card Name",
                "baseEntityType": "card",
                "dataType": "STRING",
                "verticalId": -1,
                "parentId": -1
            }
        ],
        "customer": [
            {
                "id": 7,
                "name": "gender",
                "createdBy": -1,
                "createdOn": "2017-04-14",
                "createdOnISO": "2017-04-14T16:46:07Z",
                "modifiedBy": -1,
                "modifiedOn": "2017-04-14",
                "modifiedOnISO": "2017-04-14T16:46:07Z",
                "label": "Gender",
                "baseEntityType": "customer",
                "dataType": "STANDARD_ENUM",
                "verticalId": -1,
                "parentId": -1,
                "possibleValues": ["Female", "Male", "Other"]
            }
        ],
        "transaction": [
            {
                "id": 14,
                "name": "ship_first_name",
                "createdBy": -1,
                "createdOn": "2017-04-14",
                "createdOnISO": "2017-04-14T16:46:07Z",
                "modifiedBy": -1,
                "modifiedOn": "2017-05-19",
                "modifiedOnISO": "2017-05-19T17:04:40Z",
                "label": "Shipping First Name",
                "baseEntityType": "transaction",
                "dataType": "STRING",
                "verticalId": 2,
                "parentId": -1
            }
        ],
        "lineitem": [
            {
                "id": 1,
                "name": "MetalRate",
                "createdBy": -1,
                "createdOn": "2017-04-14",
                "createdOnISO": "2017-04-14T16:46:07Z",
                "modifiedBy": -1,
                "modifiedOn": "2017-04-14",
                "modifiedOnISO": "2017-04-14T16:46:07Z",
                "label": "Metal Rate",
                "baseEntityType": "lineitem",
                "dataType": "DOUBLE",
                "verticalId": 1,
                "parentId": -1
            }
        ],
        "usergroup2": [
            {
                "id": 695,
                "name": "ug_status",
                "createdBy": 0,
                "createdOn": "2025-12-13",
                "createdOnISO": "2025-12-13T02:12:36Z",
                "modifiedBy": 0,
                "modifiedOn": "2025-12-13",
                "modifiedOnISO": "2025-12-13T02:12:36Z",
                "label": "Ug Status",
                "baseEntityType": "usergroup2",
                "dataType": "STRING",
                "verticalId": -1,
                "parentId": -1
            }
        ]
    },
    "warnings": [],
    "errors": [],
    "success": true
}

Error and warning codes

CodeError numberTypeDescription
INVALID_ORGerrorThe organization ID in the request is invalid. HTTP 400.
Headers
string

Specify the ISO code of a language to get extended field values in your preferred language. For example, zh for Chinese, id for Indonesian, ar for Arabic. English is the default language.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json